.\"	$NetBSD: cons.4,v 1.7 2003/11/16 10:13:45 wiz Exp $
.\"
.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)cons.4	8.1 (Berkeley) 6/9/93
.\"
.Dd November 15, 2003
.Dt CONS 4 hp300
.Os
.Sh NAME
.Nm cons
.Nd
.Tn HP300
console interface
.Sh DESCRIPTION
This release supports a
.Dq virtual
console device used for
.Em kernel printf
messages and accessed in user mode via
.Pa /dev/console .
It is virtual in the sense that it is attached to a hardware interface
at boot time.
Currently the choices are limited to:
a bit-mapped display acting as an
.Em internal terminal emulator
.Dq Tn ITE ,
the builtin serial interface
.Xr com 4 ,
or a
.Xr null 4
console in that order.
.Sh FILES
.Bl -tag -width /dev/console
.It Pa /dev/console
.El
.Sh SEE ALSO
.Xr com 4 ,
.Xr tty 4 ,
.Xr reboot 8
.Sh BUGS
You should be able to specify potential console devices at
.Xr config 1
time.
